libmspub::ShapeInfo Struct Reference

`#include <ShapeInfo.h>`

## Public Member Functions

| ShapeInfo ()
std::shared_ptr< const CustomShape > | getCustomShape () const

## Public Attributes

boost::optional< ShapeType > | m_type
boost::optional< ShapeType > | m_cropType
boost::optional< unsigned > | m_imgIndex
boost::optional< unsigned > | m_borderImgIndex
boost::optional< Coordinate > | m_coordinates
std::vector< Line > | m_lines
boost::optional< unsigned > | m_pageSeqNum
boost::optional< unsigned > | m_textId
std::map< unsigned, int > | m_adjustValuesByIndex
std::vector< int > | m_adjustValues
boost::optional< double > | m_rotation
boost::optional< std::pair< bool, bool > > | m_flips
boost::optional< Margins > | m_margins
boost::optional< BorderPosition > | m_borderPosition
std::shared_ptr< const Fill > | m_fill
boost::optional< DynamicCustomShape > | m_customShape
bool | m_stretchBorderArt
boost::optional< ColorReference > | m_lineBackColor
boost::optional< Dash > | m_dash
boost::optional< TableInfo > | m_tableInfo
boost::optional< unsigned > | m_numColumns
unsigned | m_columnSpacing
boost::optional< Arrow > | m_beginArrow
boost::optional< Arrow > | m_endArrow
boost::optional< VerticalAlign > | m_verticalAlign
boost::optional< ColorReference > | m_pictureRecolor
boost::optional< Shadow > | m_shadow
boost::optional< int > | m_innerRotation
std::vector< libmspub::Vertex > | m_clipPath
boost::optional< int > | m_pictureBrightness
boost::optional< int > | m_pictureContrast

## Constructor & Destructor Documentation

## ShapeInfo()

libmspub::ShapeInfo::ShapeInfo | ( |  | ) |

inline

## Member Function Documentation

## getCustomShape()

std::shared_ptr< const CustomShape > libmspub::ShapeInfo::getCustomShape | ( |  | ) | const

inline

Referenced by libmspub::MSPUBCollector::getCalculationValue(), libmspub::MSPUBCollector::getShapeAdjustValues(), and libmspub::MSPUBCollector::paintShape().

## Member Data Documentation

## m_adjustValues

std::vector<int> libmspub::ShapeInfo::m_adjustValues

Referenced by libmspub::MSPUBCollector::getShapeAdjustValues(), and ShapeInfo().

## m_adjustValuesByIndex

std::map<unsigned, int> libmspub::ShapeInfo::m_adjustValuesByIndex

Referenced by libmspub::MSPUBCollector::getShapeAdjustValues(), and ShapeInfo().

## m_beginArrow

boost::optional<Arrow> libmspub::ShapeInfo::m_beginArrow

Referenced by ShapeInfo().

## m_borderImgIndex

boost::optional<unsigned> libmspub::ShapeInfo::m_borderImgIndex

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_borderPosition

boost::optional<BorderPosition> libmspub::ShapeInfo::m_borderPosition

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_clipPath

std::vector<libmspub::Vertex> libmspub::ShapeInfo::m_clipPath

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_columnSpacing

unsigned libmspub::ShapeInfo::m_columnSpacing

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_coordinates

boost::optional<Coordinate> libmspub::ShapeInfo::m_coordinates

Referenced by libmspub::MSPUBCollector::getSpecialValue(), libmspub::MSPUBCollector::paintShape(), ShapeInfo(), and libmspub::MSPUBCollector::writePageBackground().

## m_cropType

boost::optional<ShapeType> libmspub::ShapeInfo::m_cropType

Referenced by getCustomShape(), libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_customShape

boost::optional<DynamicCustomShape> libmspub::ShapeInfo::m_customShape

Referenced by getCustomShape(), and ShapeInfo().

## m_dash

boost::optional<Dash> libmspub::ShapeInfo::m_dash

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_endArrow

boost::optional<Arrow> libmspub::ShapeInfo::m_endArrow

Referenced by ShapeInfo().

## m_fill

std::shared_ptr<const Fill> libmspub::ShapeInfo::m_fill

Referenced by libmspub::MSPUBCollector::paintShape(), libmspub::MSPUBCollector::setupShapeStructures(), ShapeInfo(), and libmspub::MSPUBCollector::writePageBackground().

## m_flips

boost::optional<std::pair<bool, bool> > libmspub::ShapeInfo::m_flips

Referenced by libmspub::MSPUBCollector::setupShapeStructures(), and ShapeInfo().

## m_imgIndex

boost::optional<unsigned> libmspub::ShapeInfo::m_imgIndex

Referenced by libmspub::MSPUBCollector::setupShapeStructures(), and ShapeInfo().

## m_innerRotation

boost::optional<int> libmspub::ShapeInfo::m_innerRotation

Referenced by libmspub::MSPUBCollector::setupShapeStructures(), and ShapeInfo().

## m_lineBackColor

boost::optional<ColorReference> libmspub::ShapeInfo::m_lineBackColor

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_lines

std::vector<Line> libmspub::ShapeInfo::m_lines

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_margins

boost::optional<Margins> libmspub::ShapeInfo::m_margins

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_numColumns

boost::optional<unsigned> libmspub::ShapeInfo::m_numColumns

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_pageSeqNum

boost::optional<unsigned> libmspub::ShapeInfo::m_pageSeqNum

Referenced by ShapeInfo(), and libmspub::MSPUBCollector::writePageBackground().

## m_pictureBrightness

boost::optional<int> libmspub::ShapeInfo::m_pictureBrightness

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_pictureContrast

boost::optional<int> libmspub::ShapeInfo::m_pictureContrast

Referenced by ShapeInfo().

## m_pictureRecolor

boost::optional<ColorReference> libmspub::ShapeInfo::m_pictureRecolor

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_rotation

boost::optional<double> libmspub::ShapeInfo::m_rotation

Referenced by libmspub::MSPUBCollector::setupShapeStructures(), and ShapeInfo().

## m_shadow

boost::optional<Shadow> libmspub::ShapeInfo::m_shadow

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_stretchBorderArt

bool libmspub::ShapeInfo::m_stretchBorderArt

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_tableInfo

boost::optional<TableInfo> libmspub::ShapeInfo::m_tableInfo

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_textId

boost::optional<unsigned> libmspub::ShapeInfo::m_textId

Referenced by libmspub::MSPUBCollector::getShapeText(), libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

## m_type

boost::optional<ShapeType> libmspub::ShapeInfo::m_type

Referenced by getCustomShape(), libmspub::MSPUBCollector::paintShape(), ShapeInfo(), and libmspub::MSPUBCollector::writePageBackground().

## m_verticalAlign

boost::optional<VerticalAlign> libmspub::ShapeInfo::m_verticalAlign

Referenced by libmspub::MSPUBCollector::paintShape(), and ShapeInfo().

The documentation for this struct was generated from the following file:

- ShapeInfo.h